> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigcapital.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new sale estimate.



## OpenAPI

````yaml api-reference/openapi.json post /api/sale-estimates
openapi: 3.0.0
info:
  title: Bigcapital
  description: Financial accounting software
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/sale-estimates:
    post:
      tags:
        - Sale Estimates
      summary: Create a new sale estimate.
      operationId: SaleEstimatesController_createSaleEstimate
      parameters:
        - name: Authorization
          in: header
          description: >-
            Value must be 'Bearer <token>' where <token> is an API key prefixed
            with 'bc_' or a JWT token.
          required: true
          schema:
            type: string
            example: Bearer bc_1234567890abcdef
        - name: organization-id
          in: header
          description: >-
            Required if Authorization is a JWT token. The organization ID to
            operate within.
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateSaleEstimateDto'
      responses:
        '200':
          description: Sale estimate created successfully
components:
  schemas:
    CreateSaleEstimateDto:
      type: object
      properties:
        customerId:
          type: number
          description: The id of the customer
          example: 1
        estimateDate:
          format: date-time
          type: string
          description: The date of the estimate
          example: '2021-01-01'
        expirationDate:
          format: date-time
          type: string
          description: The expiration date of the estimate
          example: '2021-01-01'
        reference:
          type: string
          description: The reference of the estimate
          example: '123456'
        exchangeRate:
          type: number
          description: The exchange rate of the estimate
          example: 1
        warehouseId:
          type: number
          description: The id of the warehouse
          example: 1
        branchId:
          type: number
          description: The id of the branch
          example: 1
        entries:
          description: The entries of the estimate
          example:
            - index: 1
              itemId: 1
              description: This is a description
              quantity: 100
              cost: 100
          type: array
          items:
            type: string
        note:
          type: string
          description: The note of the estimate
          example: This is a note
        termsConditions:
          type: string
          description: The terms and conditions of the estimate
          example: This is a terms and conditions
        sendToEmail:
          type: string
          description: The email to send the estimate to
          example: test@test.com
        attachments:
          description: The attachments of the estimate
          example:
            - key: '123456'
          type: array
          items:
            type: string
        pdfTemplateId:
          type: number
          description: The id of the pdf template
          example: 1
        discount:
          type: number
          description: The discount of the estimate
          example: 1
        discountType:
          type: string
          description: The type of the discount
          example: amount
        adjustment:
          type: number
          description: The adjustment of the estimate
          example: 1
      required:
        - customerId
        - estimateDate
        - expirationDate
        - reference
        - exchangeRate
        - warehouseId
        - branchId
        - entries
        - note
        - termsConditions
        - sendToEmail
        - attachments
        - pdfTemplateId
        - discount
        - discountType
        - adjustment

````